# -*- Mode: Python -*-
# vi:si:et:sw=4:sts=4:ts=4

# Flumotion - a streaming media server
# Copyright (C) 2004,2005,2006,2007,2008,2009 Fluendo, S.L.
# Copyright (C) 2010,2011 Flumotion Services, S.A.
# All rights reserved.
#
# This file may be distributed and/or modified under the terms of
# the GNU Lesser General Public License version 2.1 as published by
# the Free Software Foundation.
# This file is distributed without any warranty; without even the implied
# warranty of merchantability or fitness for a particular purpose.
# See "LICENSE.LGPL" in the source distribution for more information.
#
# Headers in this file shall remain intact.

from flumotion.ui.wizard import WizardStep

__version__ = "$Rev: 6225 $"


class WorkerWizardStep(WizardStep):

    def __init__(self, wizard):
        WizardStep.__init__(self, wizard)
        self.worker = None

    def workerChanged(self, worker):
        """This is called when a worker changed.
        Can be overridden in a subclass
        @param worker: the new worker
        """

    def runInWorker(self, module, function, *args, **kwargs):
        return self.wizard.runInWorker(self.worker, module, function,
                                         *args, **kwargs)
